KDockTabGroup Class Reference

`#include <kdockwidget.h>`

Inherits QTabWidget.

## Public Member Functions

| KDockTabGroup (QWidget *parent=0, const char *name=0)
virtual | ~KDockTabGroup ()
QWidget * | transientTo ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

It just hides the special implementation of a dockwidget tab groups (and is member of the dockwidget class set).

An abstraction what it is currently. In general it is like QTabWidget but is more useful for the dockwidget class set. More or less a minor helper class for the dockwidget class set.

Author
  Max Judin (documentation: Falk Brettschneider).

Definition at line 363 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockTabGroup::KDockTabGroup | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

inline

Constructs this.

It just calls the method of the base class.

Definition at line 370 of file kdockwidget.h.

virtual KDockTabGroup::~KDockTabGroup | ( |  | ) |

inline virtual

Destructs a KDockTabGroup.

Definition at line 376 of file kdockwidget.h.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys